﻿@model List<eCommerce.Services.Model.WishlistItem>
@using eCommerce.Services.Model.Enums
@using eCommerce.Services.Utils
@{
    ViewBag.Title = "Wishlist";
}

<div class="wishlist shopping-cart">
    @if (Model.Any())
    {
        <div class="shopping-cart__table cart-table">

            <div class="cart-table__header">
                <span class="cart-table__cell">Artículo</span>
                <span class="cart-table__cell"></span>
                <span class="cart-table__cell">Talle</span>
                <span class="cart-table__cell">Color</span>
                <span class="cart-table__cell">Unidades</span>
                <span class="cart-table__cell">Precio</span>
                <span class="cart-table__cell"></span>
                <span class="cart-table__cell"></span>
            </div>

            <div class="cart-table__body">
                @foreach (var item in Model)
                {
                    <div class="cart-table__row js-cart-item" data-id="@item.Id">
                        <div class="cart-table__cell cart-table__cell--image">
                            <img class="cart-table__product-image" src="@string.Format("{0}/{1}", Utility.ImgUrl, item.Product.getDefaultResizedImageUrl)" alt="@item.Product.Title" />
                            @if (item.Product.SoldOut)
                            {
                                <div class="sold-out">Out of stock</div>
                            }
                        </div>
                        <div class="cart-table__cell cart-table__cell--product">
                            <span class="cart-table__cell-info">@item.Product.Title</span>
                            <span class="cart-table__cell-info -mobile">@item.Size.Description</span>
                            <span class="cart-table__cell-info -mobile">@item.Color.Description</span>
                            <span class="cart-table__cell-info -mobile">x @item.Quantity</span>
                        </div>
                        <div class="cart-table__cell -desktop">@item.Size.Description</div>
                        <div class="cart-table__cell -desktop">@item.Color.Description</div>
                        <div class="cart-table__cell -desktop">
                            <select class="quantity__select js-quantity">
                                @for (int i = 1; i <= 100; i++)
                                {
                                    <option value="@i" selected="@(item.Quantity == i)">@i</option>
                                }
                            </select>
                        </div>
                        <div class="cart-table__cell -desktop js-price">$@item.Product.RetailPrice</div>
                        <div class="cart-table__cell">
                            <div class="cart-table__action underline js-delete"><span class="cart-table__action-text">Eliminar</span></div>
                        </div>
                        <div class="cart-table__cell">
                            <div class="cart-table__action"><span class="cart-table__price -mobile">@item.Product.CustomerPrice.ToString("c2")</span></div>
                            @*<div class="cart-table__action"><span class="cart-table__action-text">Eliminar</span></div>
                                <div class="cart-table__action"><span class="cart-table__action-text">Editar</span></div>*@
                            @*<div class="cart-table__action cart-table__action-circle js-clear-od"><span class="cart-table__action-text">X</span></div>*@
                            <div class="cart-table__action button js-add-to-cart"><span class="cart-table__action-text">Añadir al carrito</span></div>
                        </div>
                    </div>
                }
            </div>

            <button type="button" class="button wishlist__button js-add-all">Añadir todo al carrito</button>
        </div>

    } else
    {
        <h2 class="text-center">No hay ningún producto en tu wishlist</h2>
    }

</div>


@section Scripts{


    <script>
        $(document).ready(function () {
            
        });

        $('.js-add-to-cart').click(function () {
            var $wishlistItem = $(this).closest('.js-cart-item');
            var id = $wishlistItem.data('id');
            var quantity = $wishlistItem.find('.js-quantity').val();

            $.ajax({
                type: "POST",
                cache: false,
                url: "/ShoppingCart/AddWishlistItemToShoppingCart",
                data: { wishlistItemId: id, quantity: quantity },
                success: function (data) {
                    if (data.Status == 'Valid') {
                        $wishlistItem.remove();
                        updateCartTotals();
                        toastr.success('Se agregó el producto al carrito.');
                    } else {
                        toastr.warning(data.Message);
                    }
                }
            });
        });

        $('.js-add-all').click(function () {
            $.ajax({
                type: "POST",
                cache: false,
                url: "/ShoppingCart/AddWishlistToShoppingCart",
                data: {  },
                success: function (data) {
                    if (data.Status == 'Valid') {
                        //updateCartTotals();
                        location.href = "/shopping-cart";
                    } else {
                        toastr.warning(data.Message);
                    }
                }
            });
        });

        $('.js-delete').click(function () {
            var $wishlistItem = $(this).closest('.js-cart-item');
            var id = $wishlistItem.data('id');
            
            $.ajax({
                type: "POST",
                cache: false,
                url: "/ShoppingCart/DeleteItemFromWishlist",
                data: { wishlistItemId: id },
                success: function (data) {
                    if (data.Status == 'Valid') {
                        $wishlistItem.remove();
                        updateWishlistTotals();
                    }
                }
            });
        });
    </script>
        
}